Update to rust-cssparser 0.22.1

parent 34e954f5
This diff is collapsed.
......@@ -12,7 +12,7 @@ bitflags = "^0.9.1"
downcast-rs = "^1.0.0"
regex = "^0.2.1"
lalrpop-util = "0.13.1"
cssparser = "^0.18.2"
cssparser = "^0.22.1"
[dependencies.cairo-sys-rs]
version = "0.4.0"
......
......@@ -87,11 +87,11 @@ pub fn number_optional_number (s: &str) -> Result <(f64, f64), ParseError> {
let x = parser.expect_number ()? as f64;
if !parser.is_exhausted () {
let position = parser.position ();
let state = parser.state ();
match *parser.next ()? {
Token::Comma => {},
_ => parser.reset (position)
_ => parser.reset (&state)
};
let y = parser.expect_number ()? as f64;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment